Errors upgrading from 1.1.0 to 1.1.2



  • 31/8 14:30 [23479] - error: [groups.join] Could not create new hidden group: MISCONF Redis is configured to save RDB snapshots, but is currently not able to persist on disk. Commands that may modify the data set are disabled. Please check Redis logs for details about the error.
    31/8 14:30 [23479] - error: [upgrade] Errors were encountered while updating the NodeBB schema: MISCONF Redis is configured to save RDB snapshots, but is currently not able to persist on disk. Commands that may modify the data set are disabled. Please check Redis logs for details about the error.
    

    That's the error I get while running ./nodebb upgrade How can I fix?



  • Actually fixed that problem (redis dump permission was the problem), but now I cannot run nodebb with systemctl. I used the same configuration of systemctl as the 1.1.0, but if I run it with ./nodebb start I got the site working, if I use mine systemctl configuration doesn't work:

    [Unit]
    Description=NodeBB Service
    After=system.slice multi-user.target
    
    [Service]
    User=s****
    Group=s****
    
    StandardOutput=syslog
    StandardError=syslog
    SyslogIdentifier=nodebb
    
    Environment=NODE_ENV=production
    WorkingDirectory=/var/nodebb
    ExecStart=/usr/bin/node loader.js --no-daemon --no-silent
    Restart=always
    
    [Install]
    Alias=forum
    WantedBy=multi-user.target
    


  • Problems in the permission of the files.
    chown -R [nodebbUser] [nodebbFolder]
    solved it :)


Log in to reply
 


Looks like your connection to NodeBB was lost, please wait while we try to reconnect.